View Issue Details

IDProjectCategoryView StatusLast Update
0019725mantisbtbugtrackerpublic2015-09-06 17:37
ReporterdregadAssigned Todregad 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019725: bug_actiongroup_page.php does not display legend when position = BOTH
Description

The legend displays fine when $g_status_legend_position = STATUS_LEGEND_POSITION_TOP or STATUS_LEGEND_POSITION_BOTTOM but becomes hidden when set to STATUS_LEGEND_POSITION_BOTH;

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 38cc0989

2015-05-17 04:33:23

dregad

Details Diff
Consistent logic to display status legend

The code to display the status legend did not use the same logic
everywhere. We now consistently rely on binary and operator (&)
throughout the code base, like the way we handle e.g. the filter.

In particular, bug_group_action_print_bug_list() did not print the
legend when position was STATUS_LEGEND_POSITION_BOTH.

Fixes 0019725
mod - core/bug_group_action_api.php Diff File
mod - my_view_page.php Diff File
mod - view_all_inc.php Diff File

Issue History

Date Modified Username Field Change
2015-05-17 05:17 dregad New Issue
2015-05-17 05:17 dregad Status new => assigned
2015-05-17 05:17 dregad Assigned To => dregad
2015-05-19 11:47 dregad Changeset attached => MantisBT master 38cc0989
2015-05-19 11:47 dregad Status assigned => resolved
2015-05-19 11:47 dregad Resolution open => fixed
2015-05-19 11:47 dregad Fixed in Version => 1.3.0-beta.3
2015-09-06 17:37 vboctoradmin Status resolved => closed